With multiple subnet, exceed quota limit message when creating 1/2 of the quota limit

Bug #1567110 reported by SongBeng on 2016-04-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
Undecided
Unassigned

Bug Description

Liberty packstack with Bigswitch P+V integration. Notice when reaching five subnet that neutron is reporting "create subnet (quota exceeded" message in Horizon Network Gui.
Increasing the subnet quota limit to 20 remove the grey out button, but putting it back to 10 causes the message to appear again.
Also I am able to create new network/subnet, just not able to add more subnet under the network.

SongBeng (songbeng-lim) wrote :

[root@vm-236 ~(keystone_P1)]# neutron quota-show
+---------------------+-------+
| Field | Value |
+---------------------+-------+
| floatingip | 50 |
| network | 10 |
| port | 50 |
| rbac_policy | 10 |
| router | 10 |
| security_group | 10 |
| security_group_rule | 100 |
| subnet | 10 |
| subnetpool | -1 |

It appears the subnet quota is applied to all projects, not one project.

Changed in neutron:
assignee: nobody → Anseela M M (anseela-m00)
Gary Kotton (garyk) wrote :

This does not reproduce on trunk:

nicira@htb-1n-eng-dhcp8:~/devstack$ neutron subnet-create bug 20.0.9.0/24
Quota exceeded for resources: ['subnet'].
Neutron server returns request_ids: ['req-5ea7910c-23ff-4aff-a44e-fc6a816e6dc9']
nicira@htb-1n-eng-dhcp8:~/devstack$ neutron subnet-list
+--------------------------------------+----------------+-------------+--------------------------------------------+
| id | name | cidr | allocation_pools |
+--------------------------------------+----------------+-------------+--------------------------------------------+
| bd77f303-6d7d-4d2b-87cd-6066f66d0600 | | 20.0.5.0/24 | {"start": "20.0.5.2", "end": "20.0.5.254"} |
| 70a1f89e-db15-4a53-a6ed-52b9543dc94b | | 20.0.3.0/24 | {"start": "20.0.3.2", "end": "20.0.3.254"} |
| 4c2227dc-0610-494e-80ba-e07a3fb4df22 | private-subnet | 10.0.0.0/24 | {"start": "10.0.0.2", "end": "10.0.0.254"} |
| 185154b3-cbbe-45a8-8746-b2cb09f29c1e | | 20.0.4.0/24 | {"start": "20.0.4.2", "end": "20.0.4.254"} |
| 1370d948-37ee-443d-93b8-f65d5c420316 | | 20.0.8.0/24 | {"start": "20.0.8.2", "end": "20.0.8.254"} |
| f2058fd7-3559-408f-943b-2e57a5066823 | | 20.0.2.0/24 | {"start": "20.0.2.2", "end": "20.0.2.254"} |
| 93585104-b27e-4281-a725-df47dec5c9c0 | | 20.0.0.0/24 | {"start": "20.0.0.2", "end": "20.0.0.254"} |
| 6819e7dd-191b-49b7-a02b-2cf91e2606a2 | | 20.0.7.0/24 | {"start": "20.0.7.2", "end": "20.0.7.254"} |
| 2cfc3d22-1b8f-4708-97f7-2314246795f1 | | 20.0.6.0/24 | {"start": "20.0.6.2", "end": "20.0.6.254"} |
| 168672dc-d95f-4e6e-b064-17d8518afa47 | | 20.0.1.0/24 | {"start": "20.0.1.2", "end": "20.0.1.254"} |
+--------------------------------------+----------------+-------------+--------------------------------------------+
nicira@htb-1n-eng-dhcp8:~/devstack$

Changed in neutron:
status: New → Incomplete
Anseela M M (anseela-m00) wrote :

Hi ,
Currently I am working on this issue. I tried to create the subnet for a particular network. I can create maximum 10 subnet to the network. once subnet count reached 10 I am getting message as maximum quota exceeded.
Steps which I have excecuted.

1) Created three networks
2) Created the subnet to the network for all the three networks.
3) once the subnet count reached 10 , getting the error message as maximum quota exceeded.
test 2:

1) Created 1 network
2) created 10 subnet to the network
3) once the subnet count reached 10 , getting the error message as maximum quota exceeded.

 So according to me it is working as expected.

Please let me know if I missed any steps.
Please let me know if I can mark it as invalid

Thanks,
Anseela

Reedip (reedip-banerjee) wrote :

Have you checked the quota for the tenant?

Just for example:
neutron quota-show
+---------------------+-------+
| Field | Value |
+---------------------+-------+
| firewall | 10 |
| firewall_policy | 10 |
| firewall_rule | 100 |
| floatingip | 50 |
| healthmonitor | -1 |
| l7policy | -1 |
| listener | -1 |
| loadbalancer | 10 |
| network | 10 |
| pool | 10 |
| port | 50 |
| rbac_policy | 10 |
| router | 10 |
| security_group | 10 |
| security_group_rule | 100 |
| subnet | 10 |
| subnetpool | -1 |
+---------------------+-------+

hi
I am using Liberty packstack, what I notice is that though the quota is 10
subnet, if I create e.g. two projects, each project has five networks. If I
create one subnet per network, it will reach the maximum number of 10
(though each project uses only five subnet), and the create subnet button
is greyed out with message quota-exceeded.

Song

On Mon, Apr 18, 2016 at 8:49 PM, Anseela M M <email address hidden> wrote:

> Hi ,
> Currently I am working on this issue. I tried to create the subnet for a
> particular network. I can create maximum 10 subnet to the network. once
> subnet count reached 10 I am getting message as maximum quota exceeded.
> Steps which I have excecuted.
>
> 1) Created three networks
> 2) Created the subnet to the network for all the three networks.
> 3) once the subnet count reached 10 , getting the error message as
> maximum quota exceeded.
> test 2:
>
> 1) Created 1 network
> 2) created 10 subnet to the network
> 3) once the subnet count reached 10 , getting the error message as
> maximum quota exceeded.
>
> So according to me it is working as expected.
>
> Please let me know if I missed any steps.
> Please let me know if I can mark it as invalid
>
> Thanks,
> Anseela
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1567110
>
> Title:
> With multiple subnet, exceed quota limit message when creating 1/2 of
> the quota limit
>
> Status in neutron:
> Incomplete
>
> Bug description:
> Liberty packstack with Bigswitch P+V integration. Notice when reaching
> five subnet that neutron is reporting "create subnet (quota exceeded"
> message in Horizon Network Gui.
> Increasing the subnet quota limit to 20 remove the grey out button, but
> putting it back to 10 causes the message to appear again.
> Also I am able to create new network/subnet, just not able to add more
> subnet under the network.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/neutron/+bug/1567110/+subscriptions
>

SongBeng (songbeng-lim) wrote :

yes, the tenant quota subnet was 10

Song

On Mon, Apr 18, 2016 at 9:00 PM, Reedip <email address hidden>
wrote:

> Have you checked the quota for the tenant?
>
> Just for example:
> neutron quota-show
> +---------------------+-------+
> | Field | Value |
> +---------------------+-------+
> | firewall | 10 |
> | firewall_policy | 10 |
> | firewall_rule | 100 |
> | floatingip | 50 |
> | healthmonitor | -1 |
> | l7policy | -1 |
> | listener | -1 |
> | loadbalancer | 10 |
> | network | 10 |
> | pool | 10 |
> | port | 50 |
> | rbac_policy | 10 |
> | router | 10 |
> | security_group | 10 |
> | security_group_rule | 100 |
> | subnet | 10 |
> | subnetpool | -1 |
> +---------------------+-------+
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1567110
>
> Title:
> With multiple subnet, exceed quota limit message when creating 1/2 of
> the quota limit
>
> Status in neutron:
> Incomplete
>
> Bug description:
> Liberty packstack with Bigswitch P+V integration. Notice when reaching
> five subnet that neutron is reporting "create subnet (quota exceeded"
> message in Horizon Network Gui.
> Increasing the subnet quota limit to 20 remove the grey out button, but
> putting it back to 10 causes the message to appear again.
> Also I am able to create new network/subnet, just not able to add more
> subnet under the network.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/neutron/+bug/1567110/+subscriptions
>

Changed in neutron:
status: Incomplete → In Progress
Anseela M M (anseela-m00) wrote :

Hi Song,

I have a couple of queries regarding the issue.
1) Are you using admin-openrc file for creating the two project?
2) Have you increased the quota limit and tried to create more networks?

Thanks
Anseela

SongBeng (songbeng-lim) wrote :

Hi
1) no, this is with packstack. I used keystonerc_admin to create the two
project
2) yes, increasing the quota limit works, and allow me to create more
subnet. My coworker mentioned the quota limit is actually the number of
networks/number of subnets, so 10 network and 10 subnet means one subnet
per network. However, when I increase the subnet quota to 20, with only one
subnet created per network, I am still seeing the quota exceeded message. I
did not try other values, but setting the subnet quota limit to 100 resolve
this issue and I am able to launch more subnet/network (but I didnt try to
reach 10 subnet/network, only launch 3 subnet/network)

thanks

Song

On Wed, May 4, 2016 at 8:55 PM, Anseela M M <email address hidden> wrote:

> Hi Song,
>
> I have a couple of queries regarding the issue.
> 1) Are you using admin-openrc file for creating the two project?
> 2) Have you increased the quota limit and tried to create more networks?
>
> Thanks
> Anseela
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1567110
>
> Title:
> With multiple subnet, exceed quota limit message when creating 1/2 of
> the quota limit
>
> Status in neutron:
> In Progress
>
> Bug description:
> Liberty packstack with Bigswitch P+V integration. Notice when reaching
> five subnet that neutron is reporting "create subnet (quota exceeded"
> message in Horizon Network Gui.
> Increasing the subnet quota limit to 20 remove the grey out button, but
> putting it back to 10 causes the message to appear again.
> Also I am able to create new network/subnet, just not able to add more
> subnet under the network.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/neutron/+bug/1567110/+subscriptions
>

Anseela M M (anseela-m00) wrote :

Hi,

We are using openstack Ubuntu liberty version. the steps I executed are

1) created two projects admin and demo
2) created 10 networks each for two projects (admin and demo)
3) created 10 subnets for each network

So it is working as expected in Openstack Ubuntu liberty version.

Changed in neutron:
assignee: Anseela M M (anseela-m00) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers